Bug 1415639 - Some of the values are not considered as numbers by elasticsearch
Summary: Some of the values are not considered as numbers by elasticsearch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Core
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: 4.1.1
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: oVirt-Metrics-and-Logs
TreeView+ depends on / blocked
 
Reported: 2017-01-23 10:28 UTC by Shirly Radco
Modified: 2019-04-28 13:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:46:09 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sradco: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 70960 0 master MERGED packaging: update hosts metrics:added auto_typecast 2017-01-26 09:36:17 UTC
oVirt gerrit 71228 0 ovirt-engine-4.1 MERGED packaging: update hosts metrics:added auto_typecast 2017-01-26 16:11:56 UTC

Description Shirly Radco 2017-01-23 10:28:50 UTC
Description of problem:
For some of the plugins the values are considered as strings and not as numbers.

Version-Release number of selected component (if applicable):
4.1.0

How reproducible:
100%

Steps to Reproduce:
1.Inspect the values field in Kibana
2.
3.

Actual results:
Some of the values field are saved as strings.

Expected results:
Values should be saved to elasticsearch as numbers and not as strings.

Additional info:

Comment 1 Lukas Svaty 2017-03-30 12:22:08 UTC
Please provide verification steps for these and also which values should be numbers, which we are keeping as strings?

Comment 2 Lukas Svaty 2017-04-07 10:49:32 UTC
solved via private channels, we are pushing all collectd stats to be numbers except for these four 

collectd.dstypes   	   string 				
collectd.type_instance     string 				
collectd.plugin   	   string 				
collectd.plugin_instance   string

which are exceptions as they are generated by collectd

moving to verified by version ovirt-engine-metrics-1.0.1-1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.